Subject: bug#43015: closed (Re: bug#43015: git-fetched packages' working copy is not writable)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 04 Feb 2021 12:42:02 +0000

Your bug report

#43015: git-fetched packages' working copy is not writable

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43015: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43015
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43015: git-fetched packages' working copy is not writable
From: Maxim Cournoyer <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked], Danny Milosavljevic <[email-masked]>
Date: Thu, 04 Feb 2021 07:41:10 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Efraim Flashner <[email-masked]> writes:

> On Mon, Aug 24, 2020 at 11:13:59AM +0200, Danny Milosavljevic wrote:
>> Hi,
>> 
>> the working copy of a package build when the package was git-fetched is not
>> writable.
>> 
>> On the other hand, if it's url-fetched, it's perfectly writable.
>> 
>> Shall we fix this on core-updates ?
>
> (ins)efraim@E5400 ~/workspace/guix$ git grep make-files-writable | grep unpack | grep gnu/packages
> gnu/packages/bioinformatics.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/code.scm:                    (add-after 'unpack 'make-files-writable
> gnu/packages/djvu.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/java.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/java.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/java.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/java.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/machine-learning.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/ocaml.scm:         (add-after 'unpack 'make-files-writable
> gnu/packages/ruby.scm:                    (add-after 'unpack 'make-files-writable
>
> My only concern would be if there were files which weren't supposed to
> be writable. We're building the package, not making changes to be
> submitted upstream or anything, so I don't see that as being a reason to
> hold back.
>
> I'm in favor

I've included the fix as part as the unpack phase, and pushed to
core-updates as commit 6129ebddbd.

Thanks for the report!

Closing.

Maxim

Subject: git-fetched packages' working copy is not writable
From: Danny Milosavljevic <[email-masked]>
To: <[email-masked]>
Date: Mon, 24 Aug 2020 11:13:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

the working copy of a package build when the package was git-fetched is not
writable.

On the other hand, if it's url-fetched, it's perfectly writable.

Shall we fix this on core-updates ?